subroutine sub_BDF(t, kod)
use work

implicit real(8) (a-h,o-z)
real(8) xx(n), f_bdf(n)

!real(8) c(0:5)
! c(0)*xa(1,:) +c(1)*xa(0,:) +c(2)*xa(-1,:) +c(3)*xa(-2,:) +c(4)*xa(-3,:) +c(5)*xa(-4,:) =h*ff


lnit =10
xtol =1D-10		!7
kod =0
xx =xa(0,:)

call Newton_Sys (n, xx, lnit, xtol, t, f_bdf, kod)

xa(1,:) =xx

END subroutine sub_BDF
